Build exception after upgrading SAML20 module

0
Hi, I'm trying to upgrade a mendix app from version 8.18.2 to 8.18.10 almost all the modules in the Appstore are upgraded, but when I upgrade the last module, which is the SAML module, i get the folowing error: Buildfile: C:\Mendix\******\deployment\build_core.xml   compile: [javac] Compiling 1133 source files to C:\Mendix\******\deployment\run\bin [javac] C:\Mendix\******\javasource\administration\actions\CreateSessionForUser.java:38: error: incompatible types: boolean cannot be converted to Void [javac] return true; [javac] ^ [javac] C:\Mendix\******\javasource\saml20\implementation\DelegatedAuthenticationHandler.java:303: error: cannot find symbol [javac] httpPost.setProtocolVersion(HttpVersion.HTTP_1_1); [javac] ^ [javac] symbol: method setProtocolVersion(HttpVersion) [javac] location: variable httpPost of type HttpPost [javac] Note: Some input files use or override a deprecated API. [javac] Note: Recompile with -Xlint:deprecation for details. [javac] 2 errors   BUILD FAILED C:\Mendix\******\deployment\build_core.xml:29: Compile failed; see the compiler error output for details.   Total time: 20 seconds i have tried to edit the CreateSessionForUser.java but the file seems te be overwritten when the building starts. Can anyone help me on this 2 issues?
asked
1 answers
1

Double check your userlib for double Jar files because that is probably the cause of these problems. You might also want to try https://github.com/cinaq/mendix-userlib-cleaner But use with care.

Regards,

Ronald

 

answered